Ergebnis 1 bis 7 von 7

Thema: Update von 1.3.6. nach 1.3.9h

  1. #1
    Padawan Stufe I Avatar von Tiegerente
    Registriert seit
    07.09.2006
    Beiträge
    65
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0

    Standard Update von 1.3.6. nach 1.3.9h

    Hallo Zusammen,

    Ich habe sehr sorgfältig nach der Anleitung https://www.zen-cart-pro.at/forum/thr...-1-3-9-deutsch gearbeitet und nun bekomme ich eine weisse Seite beim betätigen des Updatebutton im Installtool.
    Dazu habe ich auch das Forum bemüht, doch unter "weisser Seite" nichts passendes gefunden.

    Nun hoffe ich auf EURE Hilfe!

    Der Debaglog:

    [25-Jun-2012 20:24:14] PHP Warning: require_once() [<a href='function.require-once'>function.require-once</a>]: Unable to access /home/www/ww424/html/shop/includes/functions/extra_functions/rl_tools.php in /home/www/shop/zc_install/includes/classes/class.installer_version_manager.php on line 23
    [25-Jun-2012 20:24:14] PHP Warning: require_once(/home/www/ww424/html/shop/includes/functions/extra_functions/rl_tools.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /home/www/shop/zc_install/includes/classes/class.installer_version_manager.php on line 23
    [25-Jun-2012 20:24:14] PHP Fatal error: require_once() [<a href='function.require'>function.require</a>]: Failed opening required '/home/www/ww424/html/shop/includes/functions/extra_functions/rl_tools.php' (include_path='.:/usr/share/php') in /home/www/shop/zc_install/includes/classes/class.installer_version_manager.php on line 23

    ...und nun komme ich nicht weiter - es scheint doch alles zu passen - wird zumindest wird alles erkannt?
    Soweit ich das aus der Installlog erkenen kann.

    Die benannten Dateien habe ich nicht angefasst und sind auch alle da - PHP-Fehler - wieso?????
    bestimmt mal wieder irgend eine Kleinigkeit

    Schon mal besten Dank für Eure Hilfe!!!

  2. #2
    Padawan Stufe I Avatar von Tiegerente
    Registriert seit
    07.09.2006
    Beiträge
    65
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard Nachtrag

    hier mal noch ein Nachtrag:

    OK: MySQL Version => 5.0.45
    OK: PHP Version => 5.3.5

    - temporär mal den ganzen Shop auf CHMOD 777 rekursiv gesetzt
    - Kann die Datei ansehen und diese ist nicht 0 MB
    - beim direkten http Aufruf der rl_tools.php kommt:
    "Forbidden You don't have permission to access /shop/includes/functions/extra_functions/rl_tools.php on this server."

    Habe die Datei auch mehrmals hochgeladen - direkt aus dem frischen Installpaket 1.3.9h

    Keiner eine Idee - verstehe gerade die Welt nicht mehr

  3. #3
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.092
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 961

    Standard

    Bei einem Update wird erwartet, dass Du eine funktionierende includes/configure.php hast mit den korrekten Pfadangaben.
    Überprüfe die includes/configure.php auf die richtige komplette Pfadangabe bei:
    Code:
    define('DIR_FS_CATALOG', '/xxx/xxx/xxx/xxx');
    Diesen Pfad kann der Installer nicht auflösen, daher wird die includes/functions/extra_functions/rl_tools.php nicht gefunden.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  4. #4
    Padawan Stufe I Avatar von Tiegerente
    Registriert seit
    07.09.2006
    Beiträge
    65
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Danke Webchills,

    Auszug aus meiner includes/configure.php:

    define('DIR_FS_CATALOG', '/home/www/ww424/html/shop/');

    so steht der Pfad drin - was soll ich da ändern?
    Wie muss der Pfad Beispielgebend aussehen?

  5. #5
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.092
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 961

    Standard

    Das kannst nur Du wissen, dazu gibt es kein Beispiel.
    Um den korrekten Pfad auszulesen erstelle eine Datei mit folgendem Inhalt:
    Code:
    <?php
    phpinfo();
    ?>
    Speichern als info.php und hochladen ins Shopverzeichnis.
    Dann im Browser aufrufen.
    Ganz unten bei PHP Variables findest Du dann den vollständigen Pfad zu dieser Datei unter
    _SERVER["SCRIPT_FILENAME"]
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  6. #6
    Padawan Stufe I Avatar von Tiegerente
    Registriert seit
    07.09.2006
    Beiträge
    65
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    ich halts nicht aus, dass war der Fehler und ich such mir nen Wolf

    Pfad angepasst und alles läuft wie am Schnürchen.

    Vielen besten Dank!!!!!!!!!!!!!!!!!!!

  7. #7
    Padawan Stufe I Avatar von Tiegerente
    Registriert seit
    07.09.2006
    Beiträge
    65
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Hallo nochmals,

    Es gibt doch noch ein Problem.
    Das Update lief einwandfrei alles funktioniert, doch es wurden nicht alle Kunden, die dazugehörigen Bestellungen, Rechnungen etc. übernommen.
    Es wurden nur die Kunden bis 2009 sauber übernommen 2010-2012 fehlt komlett - ca. 800 Datensätze.

    Fehlermeldung:
    Während des Datenbank-Updates wurden einige SQL-Anweisungen nicht ausgeführt damit keine doppelten Einträge entstehen.
    Die häufigsten Ursachen dieser Fehler/Ausnahmen sind installierte Add-Ons die Änderungen an der Kern-Datenbank-Struktur vornehmen. Der Updater versucht keine Probleme zu generieren.
    Ihr Shop sollte trotz dieser Fehler funktionieren. Wir empfehlen trotzdem dies vorher zu testen.
    Wollen Sie die Fehler dennoch untersuchen können Sie in der Tabelle "upgrade_exceptions" nach Details suchen.

    In der DB habe ich nachgesehen, werde da nicht schlau draus ?????
    Wo finde ich ggf. das Add-On welches Probleme Verursacht?

    Kann jemand helfen?

    Schon mal vielen Dank, für des super Forum!!!!

Ähnliche Themen

  1. Umlaute nach Update
    Von Lissy73 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 6
    Letzter Beitrag: 02.05.2010, 21:30
  2. Update von 1.2.6 nach 1.3.7 - Aber wie?
    Von DavidC im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 4
    Letzter Beitrag: 01.03.2008, 00:11
  3. Nach Update auf 1.3.7 Email Error
    Von arkat im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 3
    Letzter Beitrag: 03.03.2007, 18:14
  4. Fehler nach Update
    Von Kinderspieltraum im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 2
    Letzter Beitrag: 16.08.2006, 20:18
  5. Problem nach Update!
    Von ch-photodesign im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 5
    Letzter Beitrag: 18.09.2005, 14:27

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]